| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UnifyPhoneLicenseInfo Struct Reference
General Utility Interfaces

Unify Phone License Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
int * | Available
| The number of available Unify Phone licenses. More...
int * | InUse
| The number of Unify Phone licenses currently in use. More...
int * | Maximum24hUsage
| The maximum value of the InUse attribute that has been reported during the last 24 hours. More...
int * | CustomerViolations
| The maximum number of times the Unify Phone license usage may exceed the number of available Unify Phone licenses. More...
int * | CustomerViolationLimit
| The maximum number of times the Unify Phone license usage has exceeded the number of available Unify Phone licenses. More...
bool * | Enabled
| A Boolean flag indicating whether Unify Phone licensing is installed in the system. More...
int * | RemainingDays
| The number of remaining days until the license expires. More...

## Detailed Description

Unify Phone License Information.

It controls the number of Unify Phone devices subscribed to the system.

## Member Data Documentation

## ◆ Available

int* unsp__UnifyPhoneLicenseInfo::Available

The number of available Unify Phone licenses.

When Unify Phone licensing is not installed this counter is set to 0.

## ◆ CustomerViolationLimit

int* unsp__UnifyPhoneLicenseInfo::CustomerViolationLimit

The maximum number of times the Unify Phone license usage has exceeded the number of available Unify Phone licenses.

When Unify Phone licensing is not installed this counter is set to 0.

## ◆ CustomerViolations

int* unsp__UnifyPhoneLicenseInfo::CustomerViolations

The maximum number of times the Unify Phone license usage may exceed the number of available Unify Phone licenses.

When Unify Phone licensing is not installed this counter is set to 0.

## ◆ Enabled

bool* unsp__UnifyPhoneLicenseInfo::Enabled

A Boolean flag indicating whether Unify Phone licensing is installed in the system.

## ◆ InUse

int* unsp__UnifyPhoneLicenseInfo::InUse

The number of Unify Phone licenses currently in use.

When Unify Phone licensing is not installed this counter is set to 0.

## ◆ Maximum24hUsage

int* unsp__UnifyPhoneLicenseInfo::Maximum24hUsage

The maximum value of the InUse attribute that has been reported during the last 24 hours.

When Unify Phone licensing is not installed this counter is set to 0.

## ◆ RemainingDays

int* unsp__UnifyPhoneLicenseInfo::RemainingDays

The number of remaining days until the license expires.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h